# Change it here or specify it on the "make" commandline
INCLUDEDIR = /usr/include

CC = gcc

CFLAGS = -D__KERNEL__ -DMODULE -Wall -O2

CFLAGS += -I$(INCLUDEDIR)

OBJS = pwm.o

all: $(OBJS)

install:
	mkdir -p /lib/modules/$(VER)/misc /lib/modules/misc
	install -c pwm.o /lib/modules/$(VER)/misc
	install -c pwm.o /lib/modules/misc

clean:
	rm -f *.o *~ core
